Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Class ProviderPriority

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.codegen.gmfgen.ProviderPriority

All Implemented Interfaces:
  Enumerator

public final class ProviderPriority
extends AbstractEnumerator

A representation of the literals of the enumeration 'Provider Priority', and utility methods for working with them.

See Also:
  `GMFGenPackage.getProviderPriority()`
** Generated **
Model:

Field Summary
`static int` `HIGH` The 'High' literal value
`static ProviderPriority` `HIGH_LITERAL` The 'High' literal object
`static int` `HIGHEST` The 'Highest' literal value
`static ProviderPriority` `HIGHEST_LITERAL` The 'Highest' literal object
`static int` `LOW` The 'Low' literal value
`static ProviderPriority` `LOW_LITERAL` The 'Low' literal object
`static int` `LOWEST` The 'Lowest' literal value
`static ProviderPriority` `LOWEST_LITERAL` The 'Lowest' literal object
`static int` `MEDIUM` The 'Medium' literal value
`static ProviderPriority` `MEDIUM_LITERAL` The 'Medium' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Provider Priority' enumerators

Method Summary
`static ProviderPriority` `get(int value)` Returns the 'Provider Priority' literal with the specified integer value
`static ProviderPriority` `get(java.lang.String literal)` Returns the 'Provider Priority' literal with the specified literal value
`static ProviderPriority` `getByName(java.lang.String name)` Returns the 'Provider Priority' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOWEST

    public static final int LOWEST

  The 'Lowest' literal value.

  If the meaning of 'Lowest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ProviderPriority.LOWEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Lowest"

### LOW

    public static final int LOW

  The 'Low' literal value.

  If the meaning of 'Low' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ProviderPriority.LOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Low"

### MEDIUM

    public static final int MEDIUM

  The 'Medium' literal value.

  If the meaning of 'Medium' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ProviderPriority.MEDIUM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Medium"

### HIGH

    public static final int HIGH

  The 'High' literal value.

  If the meaning of 'High' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ProviderPriority.HIGH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="High"

### HIGHEST

    public static final int HIGHEST

  The 'Highest' literal value.

  If the meaning of 'Highest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ProviderPriority.HIGHEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Highest"

### LOWEST_LITERAL

    public static final ProviderPriority LOWEST_LITERAL

  The 'Lowest' literal object.

  See Also:
    `ProviderPriority.LOWEST`
  ** Generated **
  Ordered:

### LOW_LITERAL

    public static final ProviderPriority LOW_LITERAL

  The 'Low' literal object.

  See Also:
    `ProviderPriority.LOW`
  ** Generated **
  Ordered:

### MEDIUM_LITERAL

    public static final ProviderPriority MEDIUM_LITERAL

  The 'Medium' literal object.

  See Also:
    `ProviderPriority.MEDIUM`
  ** Generated **
  Ordered:

### HIGH_LITERAL

    public static final ProviderPriority HIGH_LITERAL

  The 'High' literal object.

  See Also:
    `ProviderPriority.HIGH`
  ** Generated **
  Ordered:

### HIGHEST_LITERAL

    public static final ProviderPriority HIGHEST_LITERAL

  The 'Highest' literal object.

  See Also:
    `ProviderPriority.HIGHEST`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Provider Priority' enumerators.

  ** Generated **

Method Detail

### get

    public static ProviderPriority get(java.lang.String literal)

  Returns the 'Provider Priority' literal with the specified literal value.

  ** Generated **

### getByName

    public static ProviderPriority getByName(java.lang.String name)

  Returns the 'Provider Priority' literal with the specified name.

  ** Generated **

### get

    public static ProviderPriority get(int value)

  Returns the 'Provider Priority' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.